<template>
<html lang="en">

  <nav class="navbar navbar-expand-lg fixed-top navbar-light bg-light justify-content-betweent shadow">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">
        <img src="../assets/health.png" alt="" height="40">
      </a>
      
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

      <div class="collapse navbar-collapse" id="navbarNavDropdown">
        
         <ul class="navbar-nav">
          <li class="nav-item">
             <a class="nav-link active" href="#"> Home </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/#"> Pedir Cita </a>
            </li>
        </ul>
      </div>

        <form class="d-flex fluid">
          <div v-if="!isAuthenticated">
            <a href="#/login" type="button" class="btn btn-outline-dark me-2">Login</a>
            <a href="#/register" type="button" class="btn btn-warning text-white">Sign-up</a>
          </div>
          <div v-else>
            <a href="#/profile">
            <img :src="user.picture" alt="User's profile" 
            class="rounded-circle profile-picture me-2"/></a> 
            <a href="#/login"  @click="logout" type="button" class="btn btn-outline-dark me-2">Logout</a>
         </div>
        </form>
     
    </div>
  </nav>
</html>
</template>

<script lang="ts">

import { defineComponent } from 'vue';


export default defineComponent({
  name: "NavBar",

  data: function() {
      return {
        user: this.$auth0.user,
        isAuthenticated : this.$auth0.isAuthenticated
      };
  },

  methods: {

    logout() {
      this.$auth0.logout();
    },
  },
});
</script>

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

    .profile-picture {
      height:40px;
    }
    </style>